summaryrefslogtreecommitdiff
path: root/package/ntfs-3g/files
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-05-03 19:44:28 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2014-05-03 19:44:28 +0200
commitaaaf63c11a17463e05e3520f991f61a424ae8461 (patch)
treebcfffeb3f2031e138f4822f708afbe95f2d3fc06 /package/ntfs-3g/files
parentea5982c66102e854157bea545d8eec79e00ed511 (diff)
add automount script
Diffstat (limited to 'package/ntfs-3g/files')
-rw-r--r--package/ntfs-3g/files/ntfs3g.init13
1 files changed, 13 insertions, 0 deletions
diff --git a/package/ntfs-3g/files/ntfs3g.init b/package/ntfs-3g/files/ntfs3g.init
new file mode 100644
index 000000000..5f9164036
--- /dev/null
+++ b/package/ntfs-3g/files/ntfs3g.init
@@ -0,0 +1,13 @@
+#!/bin/sh
+#INIT 20
+[[ $1 = autostart ]] || exit 0
+
+# mount ntfs-3g filesystems
+grep fuse /proc/filesystems >/dev/null 2>&1
+if [ $? -eq 0 ];then
+ grep -v "^#" /etc/fstab |grep ntfs-3g >/dev/null 2>&1
+ if [ $? -eq 0 ];then
+ mount -a -t ntfs-3g
+ fi
+fi
+exit 0